]> ruderich.org/simon Gitweb - config/dotfiles.git/commitdiff
use more set -eu
authorSimon Ruderich <simon@ruderich.org>
Mon, 18 Aug 2014 22:16:42 +0000 (00:16 +0200)
committerSimon Ruderich <simon@ruderich.org>
Mon, 18 Aug 2014 22:16:42 +0000 (00:16 +0200)
12 files changed:
bin/calc
bin/chronic-log
bin/mv-p
bin/slocate
bin/srandom-order
bin/srsync
bin/srsync-incremental
bin/supdatedb
bin/svalgrind
crontab.d/jobs.daily/prune-logs
crontab.d/setup.sh
lessfilter

index f76472f00ef56512a0a873b78ca5dd99add244f4..ea3cbd38254bbb4f077b6ac0a238f0a9a7ead69a 100755 (executable)
--- a/bin/calc
+++ b/bin/calc
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# Copyright (C) 2011-2013  Simon Ruderich
+# Copyright (C) 2011-2014  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,6 +16,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
+
 exec python -i -c '
 
 # Math functions.
index b06e5cbe9f96038bd7f01af8e8d9155089ae869a..e8dc7ea56bf894d6f9d74d18f3c24d150a6141e7 100755 (executable)
@@ -19,6 +19,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
 
 if test $# -lt 2; then
     echo "Usage: $0 <logfile> <cmd> <args>.." >&2
index f9620871fc92b1e06b0355c41ff20fe7b08fa069..7259d33e6e0d5c47e96e5a15a393c8132536452f 100755 (executable)
--- a/bin/mv-p
+++ b/bin/mv-p
@@ -3,7 +3,7 @@
 # Wrapper command for `mv` which creates the target directory before moving
 # the file there.
 
-# Copyright (C) 2011-2013  Simon Ruderich
+# Copyright (C) 2011-2014  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +19,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
+
 # Get last argument.
 for last; do
     :
index c1ce8a4fc520ce33de89c15d17208d803390d3be..43e1eb2e2a0a317d8d055bc739d0247a3be02225 100755 (executable)
@@ -2,7 +2,7 @@
 
 # Search only in the local `locate` database. Created with `supdatedb`.
 
-# Copyright (C) 2012-2013  Simon Ruderich
+# Copyright (C) 2012-2014  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,4 +18,6 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
+
 exec locate -d "$HOME/.tmp/locatedb" "$@"
index 5469703b7024ad042dc913b3a7cf4c7b467a0c3e..45297be986534c48b7449ca9dc063011caee753c 100755 (executable)
@@ -3,7 +3,7 @@
 # Run all files in the current directory (recursively) in a random order with
 # the given program.
 
-# Copyright (C) 2012-2013  Simon Ruderich
+# Copyright (C) 2012-2014  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 if test "$#" -eq 0; then
     echo "Usage: $0 <program-args>.." >&2
index 81000fba9befde4158c02f72d1d7df79c6675489..473429eb79cf4f357cd7b543711e56db97094c51 100755 (executable)
@@ -21,6 +21,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
 set -x
 
 exec rsync \
index 7fe898aa5d058ff46ac7e03fc97e01f8f585f586..0ae1e56c208e562b839628862e11ab32bb2fcc19 100755 (executable)
@@ -21,7 +21,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 if test "$#" -lt 2; then
     echo "Usage: $0 <backups-directory> <arguments to rsync>" >&2
@@ -31,7 +31,7 @@ if test "$#" -lt 2; then
 fi
 
 
-cd "$1" || exit 1
+cd "$1"
 shift
 
 # Get absolute path to last backup directory.
index a3ced0cea8ee7b38eb946f7393c4017b8a00a366..4f5fac099ff268941112c4ed5447c23b7095f537 100755 (executable)
@@ -3,7 +3,7 @@
 # Generate `locate` database for my home directory only. Exclude backups and
 # other temporary files.
 
-# Copyright (C) 2012-2013  Simon Ruderich
+# Copyright (C) 2012-2014  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +19,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
+
 exec updatedb \
     --localpaths="$HOME" \
     --prunepaths="$HOME/.tmp $HOME/tmp" \
index 3d02efe6853231d4bf161fe03f3c234d2eee528d..28f7f69c2c3c5d743718144a2f3bb56869c21aab 100755 (executable)
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# Copyright (C) 2011-2012  Simon Ruderich
+# Copyright (C) 2011-2014  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,5 +16,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
+
 exec valgrind --leak-check=full --show-reachable=yes --error-exitcode=1 \
               --track-fds=yes "$@"
index 9295aa936bf4a64bcbacbf661c1065197982e982..74aa1f2d197e32fcd5033ecb82cf9b90d5c65c08 100755 (executable)
@@ -18,7 +18,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 
 logdir="$HOME/.tmp/logs"
index 33e88c38095257522b51059703c56cd4e135dd51..46ebb560a3f661a1a67b7b34bb224d1d9e52d6fa 100755 (executable)
@@ -5,7 +5,7 @@
 #
 # An existing crontab entry not generated with this script is not overwritten.
 
-# Copyright (C) 2012-2013  Simon Ruderich
+# Copyright (C) 2012-2014  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,7 +21,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 
 HEADER_WARNING='# WARNING! DO NOT EDIT THIS FILE! #'
index 404cbe05a0612c2ffc3c46671d26f5273ce21439..442efa99442f4d83ab16b4d05dd8653e31774447 100755 (executable)
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# Copyright (C) 2011-2013  Simon Ruderich
+# Copyright (C) 2011-2014  Simon Ruderich
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,6 +16,8 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
+set -eu
+
 case "$1" in
     # Color diff files.
     *.diff | *.patch)